org.apache.storm

## Class ExclamationTopology

- java.lang.Object
- - org.apache.storm.ExclamationTopology

-     public class ExclamationTopology
      extends Object

  This is a basic example of a Storm topology.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ExclamationTopology.ExclamationBolt`
    `static class` | `ExclamationTopology.FixedOrderWordSpout`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EXCLAIM_1`
    `static String` | `EXCLAIM_2`
    `static int` | `EXCLAIM_2_EXECUTORS`
    `static int` | `SPOUT_EXECUTORS`
    `static String` | `WORD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExclamationTopology()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StormTopology` | `getStormTopology()`
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WORD

          public static final String WORD

      See Also:
        Constant Field Values

    - #### EXCLAIM_1

          public static final String EXCLAIM_1

      See Also:
        Constant Field Values

    - #### EXCLAIM_2

          public static final String EXCLAIM_2

      See Also:
        Constant Field Values

    - #### SPOUT_EXECUTORS

          public static final int SPOUT_EXECUTORS

      See Also:
        Constant Field Values

    - #### EXCLAIM_2_EXECUTORS

          public static final int EXCLAIM_2_EXECUTORS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExclamationTopology

          public ExclamationTopology()

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

    - #### getStormTopology

          public static StormTopology getStormTopology()

Copyright © 2019 The Apache Software Foundation. All rights reserved.